## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl
Class SybaseASETempTableImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl
                                      org.eclipse.datatools.modelbase.sql.tables.impl.BaseTableImpl
                                          org.eclipse.datatools.modelbase.sql.tables.impl.TemporaryTableImpl
                                              org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASETempTableImpl

All Implemented Interfaces:
  SybaseASEBaseTable, SybaseASETempTable, SybaseAuthorizedObject, SybaseBaseTable, SQLObject, BaseTable, Table, TemporaryTable, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  SybaseASECatalogTempTable

    public class SybaseASETempTableImpl

extends org.eclipse.datatools.modelbase.sql.tables.impl.TemporaryTableImpl
implements SybaseASETempTable

An implementation of the model object 'Sybase ASE Temp Table'.

The following features are implemented:

- `Lock Schema`
- `Fill Factor`
- `Max Row Per Page`
- `Exp Row Size`
- `Reserve Page Gap`
- `Identity Gap`
- `Segment`
- `Concurrency Opt Threshold`
- `Partition Condition`
- `Table Only Cache Info`
- `Text Only Cache Info`
- `Lock Promotion`
- `Partitions`
- `Text Image Segment`
- `System Table`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`SybaseASESegment` `basicGetSegment()`
`SybaseASESegment` `basicGetTextImageSegment()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetPartitionCondition(SybaseASEPartition newPartitionCondition, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetTableOnlyCacheInfo(CacheInfo newTableOnlyCacheInfo, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetTextOnlyCacheInfo(CacheInfo newTextOnlyCacheInfo, org.eclipse.emf.common.notify.NotificationChain msgs)`
`int` `eBaseStructuralFeatureID(int derivedFeatureID, java.lang.Class baseClass)`
`int` `eDerivedStructuralFeatureID(int baseFeatureID, java.lang.Class baseClass)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.util.List` `getCheckConstraints()`
`int` `getConcurrencyOptThreshold()`
`int` `getExpRowSize()`
`int` `getFillFactor()`
`int` `getIdentityGap()`
`org.eclipse.emf.common.util.EList` `getLockPromotion()`
`LockingSchemaType` `getLockSchema()`
`int` `getMaxRowPerPage()`
`SybaseASEPartition` `getPartitionCondition()`
`int` `getPartitions()`
`int` `getReservePageGap()`
`SybaseASESegment` `getSegment()`
`CacheInfo` `getTableOnlyCacheInfo()`
`SybaseASESegment` `getTextImageSegment()`
`CacheInfo` `getTextOnlyCacheInfo()`
`boolean` `isSystem()`
`boolean` `isSystemTable()`
`void` `setConcurrencyOptThreshold(int newConcurrencyOptThreshold)`
`void` `setExpRowSize(int newExpRowSize)`
`void` `setFillFactor(int newFillFactor)`
`void` `setIdentityGap(int newIdentityGap)`
`void` `setLockSchema(LockingSchemaType newLockSchema)`
`void` `setMaxRowPerPage(int newMaxRowPerPage)`
`void` `setPartitionCondition(SybaseASEPartition newPartitionCondition)`
`void` `setPartitions(int newPartitions)`
`void` `setReservePageGap(int newReservePageGap)`
`void` `setSegment(SybaseASESegment newSegment)`
`void` `setSystemTable(boolean newSystemTable)`
`void` `setTableOnlyCacheInfo(CacheInfo newTableOnlyCacheInfo)`
`void` `setTextImageSegment(SybaseASESegment newTextImageSegment)`
`void` `setTextOnlyCacheInfo(CacheInfo newTextOnlyCacheInfo)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.TemporaryTableImpl
`isDeleteOnCommit, isLocal, setDeleteOnCommit, setLocal`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.BaseTableImpl
`eInverseAdd, getConstraints, getForeignKeys, getPrimaryKey, getReferencingForeignKeys, getUniqueConstraints`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl
`basicGetSchema, basicGetSupertable, basicGetUdt, basicSetSchema, basicSetSupertable, getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.TemporaryTable
`isDeleteOnCommit, isLocal, setDeleteOnCommit, setLocal`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getLockSchema

    public LockingSchemaType getLockSchema()

  Specified by:
    `getLockSchema` in interface `SybaseASEBaseTable`
  Returns:
    the value of the 'Lock Schema' attribute.
  See Also:
    `LockingSchemaType`, `SybaseASEBaseTable.setLockSchema(LockingSchemaType)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_LockSchema()`

### setLockSchema

    public void setLockSchema(LockingSchemaType newLockSchema)

  Specified by:
    `setLockSchema` in interface `SybaseASEBaseTable`
  Parameters:
    `newLockSchema` - the new value of the 'Lock Schema' attribute.
  See Also:
    `LockingSchemaType`, `SybaseASEBaseTable.getLockSchema()`

### getFillFactor

    public int getFillFactor()

  Specified by:
    `getFillFactor` in interface `SybaseASEBaseTable`
  Returns:
    the value of the 'Fill Factor' attribute.
  See Also:
    `SybaseASEBaseTable.setFillFactor(int)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_FillFactor()`

### setFillFactor

    public void setFillFactor(int newFillFactor)

  Specified by:
    `setFillFactor` in interface `SybaseASEBaseTable`
  Parameters:
    `newFillFactor` - the new value of the 'Fill Factor' attribute.
  See Also:
    `SybaseASEBaseTable.getFillFactor()`

### getMaxRowPerPage

    public int getMaxRowPerPage()

  Specified by:
    `getMaxRowPerPage` in interface `SybaseASEBaseTable`
  Returns:
    the value of the 'Max Row Per Page' attribute.
  See Also:
    `SybaseASEBaseTable.setMaxRowPerPage(int)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_MaxRowPerPage()`

### setMaxRowPerPage

    public void setMaxRowPerPage(int newMaxRowPerPage)

  Specified by:
    `setMaxRowPerPage` in interface `SybaseASEBaseTable`
  Parameters:
    `newMaxRowPerPage` - the new value of the 'Max Row Per Page' attribute.
  See Also:
    `SybaseASEBaseTable.getMaxRowPerPage()`

### getExpRowSize

    public int getExpRowSize()

  Specified by:
    `getExpRowSize` in interface `SybaseASEBaseTable`
  Returns:
    the value of the 'Exp Row Size' attribute.
  See Also:
    `SybaseASEBaseTable.setExpRowSize(int)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_ExpRowSize()`

### setExpRowSize

    public void setExpRowSize(int newExpRowSize)

  Specified by:
    `setExpRowSize` in interface `SybaseASEBaseTable`
  Parameters:
    `newExpRowSize` - the new value of the 'Exp Row Size' attribute.
  See Also:
    `SybaseASEBaseTable.getExpRowSize()`

### getReservePageGap

    public int getReservePageGap()

  Specified by:
    `getReservePageGap` in interface `SybaseASEBaseTable`
  Returns:
    the value of the 'Reserve Page Gap' attribute.
  See Also:
    `SybaseASEBaseTable.setReservePageGap(int)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_ReservePageGap()`

### setReservePageGap

    public void setReservePageGap(int newReservePageGap)

  Specified by:
    `setReservePageGap` in interface `SybaseASEBaseTable`
  Parameters:
    `newReservePageGap` - the new value of the 'Reserve Page Gap' attribute.
  See Also:
    `SybaseASEBaseTable.getReservePageGap()`

### getIdentityGap

    public int getIdentityGap()

  Specified by:
    `getIdentityGap` in interface `SybaseASEBaseTable`
  Returns:
    the value of the 'Identity Gap' attribute.
  See Also:
    `SybaseASEBaseTable.setIdentityGap(int)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_IdentityGap()`

### setIdentityGap

    public void setIdentityGap(int newIdentityGap)

  Specified by:
    `setIdentityGap` in interface `SybaseASEBaseTable`
  Parameters:
    `newIdentityGap` - the new value of the 'Identity Gap' attribute.
  See Also:
    `SybaseASEBaseTable.getIdentityGap()`

### getSegment

    public SybaseASESegment getSegment()

  Specified by:
    `getSegment` in interface `SybaseASEBaseTable`
  Returns:
    the value of the 'Segment' reference.
  See Also:
    `SybaseASEBaseTable.setSegment(SybaseASESegment)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_Segment()`

### basicGetSegment

    public SybaseASESegment basicGetSegment()

### setSegment

    public void setSegment(SybaseASESegment newSegment)

  Specified by:
    `setSegment` in interface `SybaseASEBaseTable`
  Parameters:
    `newSegment` - the new value of the 'Segment' reference.
  See Also:
    `SybaseASEBaseTable.getSegment()`

### getConcurrencyOptThreshold

    public int getConcurrencyOptThreshold()

  Specified by:
    `getConcurrencyOptThreshold` in interface `SybaseASEBaseTable`
  Returns:
    the value of the 'Concurrency Opt Threshold' attribute.
  See Also:
    `SybaseASEBaseTable.setConcurrencyOptThreshold(int)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_ConcurrencyOptThreshold()`

### setConcurrencyOptThreshold

    public void setConcurrencyOptThreshold(int newConcurrencyOptThreshold)

  Specified by:
    `setConcurrencyOptThreshold` in interface `SybaseASEBaseTable`
  Parameters:
    `newConcurrencyOptThreshold` - the new value of the 'Concurrency Opt Threshold' attribute.
  See Also:
    `SybaseASEBaseTable.getConcurrencyOptThreshold()`

### getPartitionCondition

    public SybaseASEPartition getPartitionCondition()

  Specified by:
    `getPartitionCondition` in interface `SybaseASEBaseTable`
  Returns:
    the value of the 'Partition Condition' containment reference.
  See Also:
    `SybaseASEBaseTable.setPartitionCondition(SybaseASEPartition)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_PartitionCondition()`

### basicSetPartitionCondition

    public org.eclipse.emf.common.notify.NotificationChain basicSetPartitionCondition(SybaseASEPartition newPartitionCondition,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setPartitionCondition

    public void setPartitionCondition(SybaseASEPartition newPartitionCondition)

  Specified by:
    `setPartitionCondition` in interface `SybaseASEBaseTable`
  Parameters:
    `newPartitionCondition` - the new value of the 'Partition Condition' containment reference.
  See Also:
    `SybaseASEBaseTable.getPartitionCondition()`

### getTableOnlyCacheInfo

    public CacheInfo getTableOnlyCacheInfo()

  Specified by:
    `getTableOnlyCacheInfo` in interface `SybaseASEBaseTable`
  Returns:
    the value of the 'Table Only Cache Info' containment reference.
  See Also:
    `SybaseASEBaseTable.setTableOnlyCacheInfo(CacheInfo)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_TableOnlyCacheInfo()`

### basicSetTableOnlyCacheInfo

    public org.eclipse.emf.common.notify.NotificationChain basicSetTableOnlyCacheInfo(CacheInfo newTableOnlyCacheInfo,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setTableOnlyCacheInfo

    public void setTableOnlyCacheInfo(CacheInfo newTableOnlyCacheInfo)

  Specified by:
    `setTableOnlyCacheInfo` in interface `SybaseASEBaseTable`
  Parameters:
    `newTableOnlyCacheInfo` - the new value of the 'Table Only Cache Info' containment reference.
  See Also:
    `SybaseASEBaseTable.getTableOnlyCacheInfo()`

### getTextOnlyCacheInfo

    public CacheInfo getTextOnlyCacheInfo()

  Specified by:
    `getTextOnlyCacheInfo` in interface `SybaseASEBaseTable`
  Returns:
    the value of the 'Text Only Cache Info' containment reference.
  See Also:
    `SybaseASEBaseTable.setTextOnlyCacheInfo(CacheInfo)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_TextOnlyCacheInfo()`

### basicSetTextOnlyCacheInfo

    public org.eclipse.emf.common.notify.NotificationChain basicSetTextOnlyCacheInfo(CacheInfo newTextOnlyCacheInfo,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setTextOnlyCacheInfo

    public void setTextOnlyCacheInfo(CacheInfo newTextOnlyCacheInfo)

  Specified by:
    `setTextOnlyCacheInfo` in interface `SybaseASEBaseTable`
  Parameters:
    `newTextOnlyCacheInfo` - the new value of the 'Text Only Cache Info' containment reference.
  See Also:
    `SybaseASEBaseTable.getTextOnlyCacheInfo()`

### getLockPromotion

    public org.eclipse.emf.common.util.EList getLockPromotion()

  Specified by:
    `getLockPromotion` in interface `SybaseASEBaseTable`
  Returns:
    the value of the 'Lock Promotion' containment reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASEBaseTable_LockPromotion()`

### getPartitions

    public int getPartitions()

  Specified by:
    `getPartitions` in interface `SybaseASEBaseTable`
  Returns:
    the value of the 'Partitions' attribute.
  See Also:
    `SybaseASEBaseTable.setPartitions(int)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_Partitions()`

### setPartitions

    public void setPartitions(int newPartitions)

  Specified by:
    `setPartitions` in interface `SybaseASEBaseTable`
  Parameters:
    `newPartitions` - the new value of the 'Partitions' attribute.
  See Also:
    `SybaseASEBaseTable.getPartitions()`

### getTextImageSegment

    public SybaseASESegment getTextImageSegment()

  Specified by:
    `getTextImageSegment` in interface `SybaseASEBaseTable`
  Returns:
    the value of the 'Text Image Segment' reference.
  See Also:
    `SybaseASEBaseTable.setTextImageSegment(SybaseASESegment)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_TextImageSegment()`

### basicGetTextImageSegment

    public SybaseASESegment basicGetTextImageSegment()

### setTextImageSegment

    public void setTextImageSegment(SybaseASESegment newTextImageSegment)

  Specified by:
    `setTextImageSegment` in interface `SybaseASEBaseTable`
  Parameters:
    `newTextImageSegment` - the new value of the 'Text Image Segment' reference.
  See Also:
    `SybaseASEBaseTable.getTextImageSegment()`

### isSystemTable

    public boolean isSystemTable()

  Specified by:
    `isSystemTable` in interface `SybaseASEBaseTable`
  Returns:
    the value of the 'System Table' attribute.
  See Also:
    `SybaseASEBaseTable.setSystemTable(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_SystemTable()`

### setSystemTable

    public void setSystemTable(boolean newSystemTable)

  Specified by:
    `setSystemTable` in interface `SybaseASEBaseTable`
  Parameters:
    `newSystemTable` - the new value of the 'System Table' attribute.
  See Also:
    `SybaseASEBaseTable.isSystemTable()`

### isSystem

    public boolean isSystem()

  Specified by:
    `isSystem` in interface `SybaseBaseTable`

### getCheckConstraints

    public java.util.List getCheckConstraints()

  Specified by:
    `getCheckConstraints` in interface `SybaseBaseTable`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.datatools.modelbase.sql.tables.impl.BaseTableImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TemporaryTableImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TemporaryTableImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TemporaryTableImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TemporaryTableImpl`

### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        java.lang.Class baseClass)

  Specified by:
    `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           java.lang.Class baseClass)

  Specified by:
    `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TemporaryTableImpl`